Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
[Java] Class JavadocOfflineLink

    java.lang.Object
      org.gradle.external.javadoc.JavadocOfflineLink

    public class JavadocOfflineLink

This class is used to hold the information that can be provided to the javadoc executable via the -linkoffline option.

Constructor Summary
`JavadocOfflineLink(String extDocUrl, String packagelistLoc)`

Method Summary
`String` | `getExtDocUrl()`
`String` | `getPackagelistLoc()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JavadocOfflineLink

    public JavadocOfflineLink(String extDocUrl, String packagelistLoc)

Method Detail

### getExtDocUrl

    public String getExtDocUrl()

### getPackagelistLoc

    public String getPackagelistLoc()

### toString

    public String toString()

Gradle API 1.10